---
lang: en
title: 'API docs: authentication.authenticationmiddlewareprovider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authentication
permalink: /doc/en/lb4/apidocs.authentication.authenticationmiddlewareprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [AuthenticationMiddlewareProvider](./authentication.authenticationmiddlewareprovider.md)

## AuthenticationMiddlewareProvider class

<b>Signature:</b>

```typescript
export declare class AuthenticationMiddlewareProvider implements Provider<Middleware> 
```
<b>Implements:</b> [Provider](./context.provider.md)<!-- -->&lt;[Middleware](./express.middleware.md)<!-- -->&gt;

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(authenticate)](./authentication.authenticationmiddlewareprovider._constructor_.md) |  | Constructs a new instance of the <code>AuthenticationMiddlewareProvider</code> class |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [value()](./authentication.authenticationmiddlewareprovider.value.md) |  |  |


